Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 45 lines (40 sloc) 1.446 kb
70a7e5a7 »
2011-05-12 Initial commit to geo_calc.
1 require 'rubygems'
2 require 'bundler'
3 begin
4 Bundler.setup(:default, :development)
5 rescue Bundler::BundlerError => e
6 $stderr.puts e.message
7 $stderr.puts "Run `bundle install` to install missing gems"
8 exit e.status_code
9 end
10 require 'rake'
11
12 require 'jeweler'
13 Jeweler::Tasks.new do |gem|
14 # gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
15 gem.name = "geo_calc"
16 gem.homepage = "http://github.com/kristianmandrup/geo_calc"
17 gem.license = "MIT"
c217f330 »
2011-05-12 initial
18 gem.summary = %Q{Geo calculation library}
19 gem.description = %Q{Geo calculations in ruby and javascript}
70a7e5a7 »
2011-05-12 Initial commit to geo_calc.
20 gem.email = "kmandrup@gmail.com"
21 gem.authors = ["Kristian Mandrup"]
22 # Include your dependencies below. Runtime dependencies are required when using your gem,
23 # and development dependencies are only needed for development (ie running rake tasks, tests, etc)
24 # gem.add_runtime_dependency 'jabber4r', '> 0.1'
25 # gem.add_development_dependency 'rspec', '> 1.2.3'
26 end
27 Jeweler::RubygemsDotOrgTasks.new
28
29 require 'rspec/core'
30 require 'rspec/core/rake_task'
31 RSpec::Core::RakeTask.new(:spec) do |spec|
32 spec.pattern = FileList['spec/**/*_spec.rb']
33 end
34
35 task :default => :spec
36
37 require 'rake/rdoctask'
38 Rake::RDocTask.new do |rdoc|
39 version = File.exist?('VERSION') ? File.read('VERSION') : ""
40
41 rdoc.rdoc_dir = 'rdoc'
42 rdoc.title = "geo_calc #{version}"
43 rdoc.rdoc_files.include('README*')
44 rdoc.rdoc_files.include('lib/**/*.rb')
45 end
Something went wrong with that request. Please try again.